/*@import url('open-iconic/font/css/open-iconic-bootstrap.min.css');*/

/* ensure blazored modal is visibale above everything */
.bm-container {
    z-index: 2000 !important;
}

.blazored-modal-container {
    z-index: 2000 !important;
    
}

.blazored-modal-overlay {
    z-index: 2001 !important;
}

.blazored-modal-focus-trap {
    z-index: 2002 !important;
}

.blazored-modal {
    z-index: 2003 !important;
}

html, body {
    font-family: "Segoe UI", Roboto, HelveticaNeue, "Helvetica Neue", Helvetica, Arial, sans-serif !important;
}

app {
    position: relative;
    display: flex;
    /*flex-direction: column;*/
}

/** scroll bar */
::-webkit-scrollbar {
    width: 9px;
}

::-webkit-scrollbar-track {
    -webkit-box-shadow: inset 0 0 6px rgba(0,0,0,0.3);
    background-color: #e1e1e1;
    border-radius: 2px;
}

::-webkit-scrollbar-thumb {
    border-radius: 2px;
    background-image: linear-gradient(to bottom, rgba(17,17,17,1) 0%,rgba(76,76,76,1) 23%,rgba(76,76,76,1) 23%,rgba(71,71,71,1) 72%,rgba(17,17,17,1) 99%);
}

/* material theme */
:root {
    /*--mdc-theme-primary: #2a547d;
    --mdc-theme-secondary: #81d4fa;
    --mdc-theme-on-primary: #ffffff;
    --mdc-theme-on-secondary: #000000;*/
    /*--mdc-theme-surface: #263238; */
}

.mdc-icon-button .fa {
    font-size: 30px;
}

/* Loading page */
.triangle-container, .login-container {
    left: calc(-50vw + 50%);
    position: fixed;
    right: calc(-50vw + 50%);
    top: 0;
    bottom: 0;
    z-index: -1;
    background-color: #91afcd69;
}

.triangles {
    background-image: url("../images/triangles.svg");
    background-size: cover;
    height: 100%;
    bottom: 0;
    left: 0;
    mix-blend-mode: hard-light;
    position: fixed;
    right: 0;
    top: 0;
    background-position: center center;
}

.loading-container {
    position: relative;
    text-align: center;
    background-color: #fff;
    padding: 20px;
    margin: 10% auto;
}

/* Login page */
/*
.login-body {
    position: relative;
    max-width: 480px;
    margin: 0 auto;
    padding: 50px 0 20px;
}

.logo {
    text-align: center;
}

    .logo h4 {
        margin: 20px auto;
    }

.login-container, .loading-container, .mdc-card {
    border-radius: 0 !important;
    box-shadow: 0 8px 17px 0 rgba(0,0,0,.2), 0 6px 20px 0 rgba(0,0,0,.19) !important;
}

    .login-container .mdc-card {
        padding: 40px 30px;
        width: 500px;
    }

    .login-container .mat-accordion {
        width: 500px;
    }

.additional-info {
    color: #636c72;
    background-color: rgba(0,0,0,.04);
    padding: 10px 6px;
    position: absolute;
    bottom: 0;
    left: 0;
    right: 0;
    text-align: center;
    font-size: .875rem;
}

.login-container {
    display: -ms-flexbox;
    display: flex;
    -ms-flex-align: center;
    align-items: center;
    padding-top: 30px;
    padding-bottom: 40px;
    align-content: center;
}

.login-body {
    flex-direction: column;
    max-width: 450px;
    margin: 0 auto;
}

    .login-body .mat-accordion .mat-expansion-panel__header {
        flex-basis: 80%;
    }

    .login-body .mat-expansion-panel {
        background-color: #f4f4f4 !important;
    }
*/

/* Login page */

.login-body {
    position: relative;
}

.logo {
    text-align: center;
}

    .logo h4 {
        margin: 20px auto;
    }

/*.login-container, .loading-container, .mdc-card {
    border-radius: 0 !important;
    box-shadow: 0 8px 17px 0 rgba(0,0,0,.2), 0 6px 20px 0 rgba(0,0,0,.19) !important;
}*/

    .login-container .mdc-card {
        padding: 40px 30px;
        width: 500px;
    }

    .login-container .mat-accordion {
        width: 500px;
    }

.container-fluid .login-container {
    display: block;
    max-width: 500px;
}

.additional-info {
    color: #636c72;
    background-color: rgba(0,0,0,.04);
    padding: 10px 6px;
    position: absolute;
    bottom: 0;
    left: 0;
    right: 0;
    text-align: center;
    font-size: .875rem;
}

.login-container {
    display: -ms-flexbox;
    display: flex;
    -ms-flex-align: center;
    align-items: center;
    align-content: center;
    margin: auto 0;
}

.login-body {
    flex-direction: column;
    margin: 0 auto;
}

    .login-body .mat-accordion .mat-expansion-panel__header {
        flex-basis: 80%;
    }

    .login-body .mat-expansion-panel {
        background-color: #f4f4f4 !important;
    }



/* app bar */
.mdc-top-app-bar__row {
    background-color: #fff;
    color: #404040;
}

.mdc-icon-button {
    /*color: #fff !important;*/
    padding: 9px !important; /*manual fix for displacement*/
}

.logo-img {
    height: 42px;
}

.mdc-top-app-bar {
    box-shadow: 0 2px 5px 0 rgba(0,0,0,.16), 0 2px 10px 0 rgba(0,0,0,.12);
    color: white;
    z-index: 7 !important;
    position: sticky !important;
    top: 0;
}

.mdc-top-app-bar__title,
.mdc-top-app-bar__title a {
    color: white;
}

.sub-menu {
    visibility: hidden; /* hides sub-menu */
    opacity: 0;
    position: absolute;
    top: 100%;
    left: 0;
    width: 100%;
    transform: translateY(-2em);
    z-index: -1;
    transition: all 0.3s ease-in-out 0s, visibility 0s linear 0.3s, z-index 0s linear 0.01s;
}

.hidden-mdc-down nav a {
    color: #E00;
    display: block;
    padding: 0.5em 1em;
    text-decoration: none;
}

    .hidden-mdc-down nav a:hover {
        color: #F55;
    }

.hidden-mdc-down nav ul,
.hidden-mdc-down nav ul li {
    list-style-type: none;
    padding: 0;
    margin: 0;
}

.hidden-mdc-down nav > ul {
    background: #EEE;
    text-align: center;
}

    .hidden-mdc-down nav > ul > li {
        display: inline-block;
        border-left: solid 1px #aaa;
    }

        .hidden-mdc-down nav > ul > li:first-child {
            border-left: none;
        }

.sub-menu {
    background: #DDD;
}


/* page */
.container-fluid {
    /*min-height: 350px;*/
    padding: 20px;
    padding-left: 10px;
}

.page-footer {
    display: flex;
    flex: 0 0 auto;
    background: #fff;
    color: #4d4d4d;
    padding: 9px 12px 9px 18px;
    box-shadow: 0px 0px 5px 0px rgba(0,0,0,0.21);
    margin-top: 30px;
    font-size: 12px;
}

.flex-1 {
    flex: 1;
}

/* Drawer */
.full .mdc-drawer
.full .app-sidebar {
    width: 256px;
    transition: width 0.4s;
}

.full .mdc-drawer.mdc-drawer--open:not(.mdc-drawer--closing) + .mdc-drawer-app-content {
    margin-left: 256px;
    transition: margin 0.4s;
}

.mini .mdc-drawer,
.mini .app-sidebar {
    width: 52px;
    transition: width 0.4s;
}

    .mini .mdc-drawer.mdc-drawer--open:not(.mdc-drawer--closing) + .mdc-drawer-app-content {
        margin-left: 52px;
        transition: width 0.4s;
    }

    .mini .drawer-profile span,
    .mini .drawer-logo .brand,
    .mini .app-sidebar span {
        display: none;
    }

.mini .miniHidden {
    display: none;
}

.mini .mdc-sub-menu-icon {
    transform: translateX(200%);
    animation: slide-out 1s forwards;
    transition: .4s ease-in-out;
    visibility: hidden;
    opacity: 0;
    position: fixed;
}

.mini .drawer-footer .mdc-button {
    min-width: 36px;
}

.mini .drawer-footer span {
    display: none;
}

.mdc-drawer__content {
    /*background-image: linear-gradient(180deg, #3131ff 0%, #9ac2fe 100%);*/
    /*color: #FFF;*/
}

.mdc-drawer .mdc-list-item {
    margin: 2px 5px 2px 3px !important;
    border-radius: 0 !important;
    color: #2a547d !important;
}

.mdc-drawer .mdc-list-item:active {
    /*-webkit-box-shadow: inset 3px 0 0 #886ab5;*/
}

.mdc-drawer .mdc-list-item--disabled {
    color: #775e91 !important;
}

/*.mdc-drawer a.mdc-list-item {
    padding: 0 14px !important;
}*/

.mdc-drawer .mdc-list-item--selected {
    border-left: solid 3px #2a547d;
}

.drawer-logo {
    display: flex;
    align-items: center;
    justify-content: left;
    background-color: #2a547d;
    height: 64px;
    color: #fff;
    font-family: Roboto !important;
    font-weight: 500;
}

    .drawer-logo a {
        color: #fff;
    }

.drawer-header {
}

.drawer-profile {
    padding: 16px;
    border-bottom: solid 1px #777;
    background-image: url("../images/profile-bg.jpg");
    background-size: cover;
    color: #fff;
    font-size: 12px;
}

    .drawer-profile a,
    .drawer-profile .material-icons {
        color: #fff;
    }

.app-sidebar .material-icons,
.drawer-footer .material-icons {
    margin-right: 8px;
    flex-shrink: 0 !important;
    /*margin-left: 4px;*/
}



.mdc-drawer {
    /*margin-top: 64px;*/
    /*box-shadow: 2px 0 5px 0 rgba(0,0,0,0.16);*/
    background-color: #f5f5f5 !important; /*!important;*/
}

.mdc-drawer-app-content {
    /*background-color: #f5f5f5;*/
}

.mat-drawer-container-responsive {
    display: flex;
    flex-direction: row;
}

    .mat-drawer-container-responsive .mdc-drawer {
        width: unset !important;
        position: relative;
    }

        .mat-drawer-container-responsive .mdc-drawer.mdc-drawer--open:not(.mdc-drawer--closing) + .mdc-drawer-app-content {
            margin-left: unset !important;
            position: relative;
            flex: 1;
        }

.mdc-top-app-bar--fixed-adjust {
    padding-top: 0 !important;
    overflow: hidden;
}

.drawer-footer {
    position: absolute;
    text-align: center;
    bottom: 0;
    left: 0;
    right: 0;
}

.drawer-footer-old {
    position: absolute;
    text-align: center;
    bottom: 0;
    left: 0;
    right: 0;
    border-top: solid 1px #AAA;
    font-size: 12px;
    padding: 0 12px 0 12px;
    background-color: lightgray
}

.drawer-footer2 {
    position: absolute;
    text-align: center;
    bottom: 0;
    left: 0;
    right: 0;
    font-size: 12px;
    padding: -5px 0 0 15px;
}

/*  forms */
fieldset {
    border: none;
}

hr {
    clear: both;
}

/* breadcrumbs */
ul.breadcrumb {
    padding: 10px 16px;
    list-style: none;
    background-color: #eee;
}

    /* Add a slash symbol (/) before/behind each list item */
    ul.breadcrumb li + li:before {
        padding: 8px;
        content: "�";
    }

    ul.breadcrumb li,
    ul.breadcrumb li a {
        text-transform: uppercase;
        text-shadow: none;
        font-size: 13px;
        text-decoration: none;
        display: inline;
    }

        ul.breadcrumb li a:hover {
            text-decoration: underline;
        }

/* misc */
.contrib-card {
    padding: 20px;
    overflow: hidden;
    text-overflow: ellipsis;
}

    .contrib-card img {
        height: 50px;
        width: 50px;
    }

.screenshot {
    text-align: center;
    display: block;
}

    .screenshot img {
        max-width: 100%;
    }

/* Extra small devices (portrait phones, less than 576px) */
@media (max-width: 596.98px) {
    .drawer-logo {
        height: 56px;
    }

    .logo-img {
        height: 38px;
    }
}

/* Small devices (landscape phones, less than 768px)*/
@media (max-width: 767.98px) {

    .drawer-footer span,
    .drawer-profile span,
    .brand {
        display: none;
    }

    .mdc-drawer__content,
    .mdc-drawer,
    .app-sidebar {
        width: 52px !important;
    }

        .app-sidebar span {
            display: none;
        }

        .mdc-drawer.mdc-drawer--open:not(.mdc-drawer--closing) + .mdc-drawer-app-content {
            margin-left: 52px !important;
            transition: margin-left .2s ease-in-out;
        }

    .mdc-top-app-bar__title {
        padding-left: 0 !important;
    }

    .drawer-footer {
        padding: 0;
    }

    .login-container .mdc-card {
        padding: 20px;
        width: 300px;
    }

    .login-container .mat-accordion {
        width: 300px;
    }

    .loading-container {
        padding: 10px;
    }

    .mdc-sub-menu-icon {
        transform: translateX(200%);
        animation: slide-out 1s forwards;
        transition: .4s ease-in-out;
        visibility: hidden;
        opacity: 0;
        position: fixed;
    }
}

/* Medium devices (tablets, less than 992px) */
@media (max-width: 991.98px) {
}

/* Large devices (desktops, less than 1200px) */
@media (max-width: 1199.98px) {
}

.mdc-card {
    background-color: #fff;
    -moz-border-radius: 4px;
    -webkit-border-radius: 4px;
    border-radius: 4px;
    -moz-box-shadow: 0 3px 1px -2px rgba(0,0,0,.2), 0 2px 2px 0 rgba(0,0,0,.14), 0 1px 5px 0 rgba(0,0,0,.12);
    -webkit-box-shadow: 0 3px 1px -2px rgba(0,0,0,.2), 0 2px 2px 0 rgba(0,0,0,.14), 0 1px 5px 0 rgba(0,0,0,.12);
    box-shadow: 0 3px 1px -2px rgba(0,0,0,.2), 0 2px 2px 0 rgba(0,0,0,.14), 0 1px 5px 0 rgba(0,0,0,.12);
    color: rgba(0,0,0,.87);
    margin: 8px;
    min-width: 290px;
    overflow: hidden;
    position: relative;
}

    .card::after {
        clear: both;
    }

    .card::after, .card::before {
        content: "";
        display: block;
    }

.flex-container {
    display: flex;
    flex-wrap: wrap;
}

.card-fundamentals-card {
    max-width: 400px;
}

.card-fundamentals-content {
    padding: 1rem;
}

.card-fundamentals {
    cursor: default;
    line-height: 19px;
    color: #787b86;
    white-space: nowrap;
    box-sizing: border-box;
    transition: background-color .35s ease;
    border-radius: 6px;
    font-size: 12px;
    height: 25px !important;
}

.card-fundamentals-label {
    width: 50%;
    padding-right: 5px;
    transition: color .35s ease;
    display: block;
    float: left;
    /*padding: 0 10px;*/
    box-sizing: border-box;
    overflow: hidden;
    text-overflow: ellipsis;
    /*line-height: 18px;*/
}

.card-fundamentals-value {
    width: 50%;
    padding-left: 0;
    /*padding-right: 18px;*/
    text-align: right;
    /*font-weight: 700;*/
    /*color: #131722;*/
    display: block;
    float: left;
    /*padding: 0 10px;*/
    box-sizing: border-box;
    overflow: hidden;
    text-overflow: ellipsis;
    /*line-height: 18px;*/
}

/* Consensus bars: hide the lighter track background */
.consensus-bar .mud-progress-linear-bars {
    background: transparent !important;
}

label {
    margin-bottom: 0px;
}

.bottom-action-buttons {
    position: absolute;
    bottom: 0;
    margin-right: 0;
    padding-bottom: 8px;
}

.mat-accordion .mdc-nav-menu .mat-expansion-panel__content {
    padding: 0 0 0 5px !important;
}

/*just for the stockcycle card blue label remove later with bootstrap styling*/
span.step {
    background: var(--mdc-theme-primary, #000000);
    border-radius: 0.8em;
    -moz-border-radius: 0.8em;
    -webkit-border-radius: 0.8em;
    color: #ffffff;
    display: inline-block;
    line-height: 1.6em;
    margin-right: 5px;
    text-align: center;
    width: 2.6em;
}



.shadow-hover-card {
    box-shadow: none !important;
    transition: box-shadow border-color 0.1s linear;
}

    .shadow-hover-card:hover {
        box-shadow: 0.4rem .425rem .5rem rgba(0,0,0,.075) !important;
        border-color: #2a547d;
        cursor: pointer;
    }

.my-reconnect-modal > div {
    position: fixed;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
    z-index: 1000;
    overflow: hidden;
    background-color: #fff;
    opacity: 0.3;
    text-align: center;
    font-weight: bold;
}

.components-reconnect-hide > div {
    display: none;
}

.components-reconnect-show > div {
    display: none;
}

.components-reconnect-show > .show {
    display: block;
}

.components-reconnect-failed > div {
    display: none;
}

.components-reconnect-failed > .failed {
    display: block;
}

.components-reconnect-rejected > div {
    display: none;
}

.components-reconnect-rejected > .rejected {
    display: block;
}

.cursor-pointer {
    cursor: pointer;
}

.switch {
    position: relative;
    display: inline-block;
    width: 46px;
    height: 24px;
}

    .switch input {
        opacity: 0;
        width: 0;
        height: 0;
    }

.slider {
    position: absolute;
    cursor: pointer;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background-color: #ccc;
    -webkit-transition: .4s;
    transition: .4s;
}

    .slider:before {
        position: absolute;
        content: "";
        height: 16px;
        width: 16px;
        left: 4px;
        bottom: 4px;
        background-color: white;
        -webkit-transition: .4s;
        transition: .4s;
    }

input:checked + .slider {
    background-color: #2196F3;
}

input:focus + .slider {
    box-shadow: 0 0 1px #2196F3;
}

button:focus {
    outline: none !important;
}

input:checked + .slider:before {
    -webkit-transform: translateX(20px);
    -ms-transform: translateX(20px);
    transform: translateX(20px);
}

/* Rounded sliders */
.slider.round {
    border-radius: 34px;
}

    .slider.round:before {
        border-radius: 50%;
    }

/* used to animate the slider if new stream income event */
@keyframes pulse {
    from {
        opacity: 0.8;
        color: red;
    }

    to {
        opacity: 0.2;
        color: red;
    }
}

.btn-xs {
    padding: 1px 5px !important;
    font-size: 12px !important;
    line-height: 1.5 !important;
    border-radius: 3px !important;
}

.scannerchart-legend {
    width: 400px;
    height: 70px;
    position: absolute;
    padding: 8px;
    font-size: 14px;
    background-color: 'transparent';
    text-align: left;
    z-index: 1000;
    pointer-events: none;
}

.floating-scanner-tooltip {
    width: 50px;
    height: 20px;
    position: absolute;
    display: none;
    padding: 2px;
    box-sizing: border-box;
    font-size: 12px;
    color: #131722;
    background-color: rgba(255, 255, 255, 0.5);
    text-align: center;
    z-index: 1000;
    top: 2px;
    left: 12px;
    pointer-events: none;
    border: 0px solid rgba(255, 70, 70, 1);
    border-radius: 2px;
}